2017-01-23 20:53 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003323Kali Linux[All Projects] Kali Package Bugpublic2016-07-11 23:26
ReporterSpyro 
Assigned Torhertzog 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003323: W3af Crashes on Kali linux 2016 with latest package prior to this report
DescriptionWhen i try to use w3af the web vulnerability analysis tool, the splash screen displays then no interface just the plain desktop
Steps To Reproduce1.Boot in to kali lnux
2.goto the drop down menu select web application analysis
3.select 'w3af'
4.Splash screen should play but after that no interface
5.Try running it from command line (Output showned in 'Additional Information') returned with some 'Import error'
Additional InformationTried running from command line,returned with some Import error:

root@Kali:~# w3af_gui
Starting w3af, running on:
  Python version: 2.7.11+ (default, May 9 2016, 15:54:33) [GCC 5.3.1 20160429]
  GTK version: 2.24.30
  PyGTK version: 2.24.0
  w3af version:
    w3af - Web Application Attack and Audit Framework
    Version: 1.6.54
    Distribution: Kali Linux
    Author: Andres Riancho and the w3af team.
It seems that your Python installation doesn't have all the modules required by the w3af framework. For more information about how to install and debug dependency issues please browse to http://docs.w3af.org/en/latest/install.html
Traceback (most recent call last):
  File "/usr/share/w3af/w3af_gui", line 97, in <module>
    _main()
  File "/usr/share/w3af/w3af_gui", line 93, in _main
    sys.exit(main())
  File "/usr/share/w3af/w3af_gui", line 88, in main
    gui_main(profile, doupdate)
  File "/usr/share/w3af/w3af/core/ui/gui/main.py", line 935, in main
    MainApp(profile, do_upd)
  File "/usr/share/w3af/w3af/core/ui/gui/main.py", line 412, in __init__
    self.pcbody = pluginconfig.PluginConfigBody(self, self.w3af)
  File "/usr/share/w3af/w3af/core/ui/gui/pluginconfig.py", line 624, in __init__
    self.pan = self._buildpan()
  File "/usr/share/w3af/w3af/core/ui/gui/pluginconfig.py", line 643, in _buildpan
    self.config_panel)
  File "/usr/share/w3af/w3af/core/ui/gui/pluginconfig.py", line 245, in __init__
    if self._getEditablePlugin(plugin, plugintype):
  File "/usr/share/w3af/w3af/core/ui/gui/pluginconfig.py", line 301, in _getEditablePlugin
    plugin = self.w3af.plugins.get_plugin_inst(ptype, pname)
  File "/usr/share/w3af/w3af/core/controllers/core_helpers/plugins.py", line 247, in get_plugin_inst
    plugin_inst = factory('w3af.plugins.%s.%s' % (plugin_type, plugin_name))
  File "/usr/share/w3af/w3af/core/controllers/misc/factory.py", line 56, in factory
    __import__(module_name)
  File "/usr/share/w3af/w3af/plugins/crawl/wordnet.py", line 31, in <module>
    from w3af.core.data.nltk_wrapper.nltk_wrapper import wn
  File "/usr/share/w3af/w3af/core/data/nltk_wrapper/nltk_wrapper.py", line 30, in <module>
    from nltk.corpus.util import LazyCorpusLoader
  File "/usr/lib/python2.7/dist-packages/nltk/__init__.py", line 134, in <module>
    from nltk.tokenize import *
  File "/usr/lib/python2.7/dist-packages/nltk/tokenize/__init__.py", line 63, in <module>
    from nltk.tokenize.simple import (SpaceTokenizer, TabTokenizer, LineTokenizer,
  File "/usr/lib/python2.7/dist-packages/nltk/tokenize/simple.py", line 38, in <module>
    from nltk.tokenize.api import TokenizerI, StringTokenizer
  File "/usr/lib/python2.7/dist-packages/nltk/tokenize/api.py", line 14, in <module>
    from nltk.six import add_metaclass
ImportError: No module named six
Attached Files

-Relationships
+Relationships

-Notes

~0005303

rhertzog (administrator)

Problem confirmed, it's a regression introduced by python-nltk 3.2.1-1. Reported to Debian here: https://bugs.debian.org/825923

Until a fixed version is available you can install an older version of python-nltk from here: http://snapshot.debian.org/package/nltk/

~0005526

rhertzog (administrator)

Fixed with python-nltk 3.2.1-2.
+Notes

-Issue History
Date Modified Username Field Change
2016-05-31 11:40 Spyro New Issue
2016-05-31 12:46 rhertzog Note Added: 0005303
2016-05-31 12:46 rhertzog Assigned To => rhertzog
2016-05-31 12:46 rhertzog Status new => assigned
2016-07-11 23:26 rhertzog Note Added: 0005526
2016-07-11 23:26 rhertzog Status assigned => resolved
2016-07-11 23:26 rhertzog Fixed in Version => 2016.2
2016-07-11 23:26 rhertzog Resolution open => fixed
+Issue History